<?php
  include("stilos/config.inc.php");
  include("../clases/BDConexion.php");
  include("../clases/clsPer.php");
  include("funcion/funciones.php");
  include("Funciones.php");
  session_start();
  $objPer=new clsPer;
/* function redondeado($numero, $decimales) {
$factor = pow(10, $decimales);
return (round($numero*$factor)/$factor); }  */

function redondeodecimal($valor){
$float_redondeado=round($valor * 100) / 100;
return $float_redondeado;
}
  
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title><MMString:LoadString id="insertbar/formsHidden" /></title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link href="style.css" rel="stylesheet" type="text/css">

<link href="Estilos.css" rel="stylesheet" type="text/css">

<link href="stilos/Estilos.css" rel="stylesheet" type="text/css">

<!-- Copyright 2000,2001 Macromedia, Inc. All rights reserved. -->
<script language="JavaScript"> 
<!--
function print_1(sURL,x,y) {
if (!window.focus) return;
			var par;
			par = "width=" +x + ",height="+y+","
			par = par + "dependent=no,scrollbars=yes,resizable=yes,"
			par = par + "menubar=no,toolbar=no,status=no"
			var ventana = window.open(sURL,"Ver",par)
			ventana.focus();
}
//--> 
</script>
<SCRIPT language=JavaScript src="js/calendario.js"></SCRIPT>
<script language="javascript" type="text/javascript">
  function volver(){
     window.location="fondo.php";
                   }
</script>
</head>

<body background="../imagenes/fondo.jpg">
<table width="835" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td height="15"><div align="left"></div></td>
  </tr>
  <tr>
    <td><div align="center">
        <table width="833" border="1" cellpadding="0" cellspacing="0" style="<?=$stylo['tabla']?>" bgcolor="<?=$c_fondo['fondo tabla']?>" bordercolor="<?=$bordetabla?>">
          <tr valign="top" class="lblCampoBlanco" bgcolor="<?=$c_fondo_tr["fondo tr"]?>">
		  <?
				  $di=$objPer->ExisteIndTransCC($matricula,extraerfechamysql($fecha1),extraerfechamysql($fecha2));				  
				  ?>
            <td colspan="12"><div align="left">Dias Indisponibles:<?=$di;?></div>              </td>
          </tr>
          <tr valign="top" class="lblCampoBlanco" bgcolor="<?=$c_fondo_tr["fondo tr"]?>">
            <td width="17"><div align="center">N&ordm;</div></td>
            <td colspan="3">
              <div align="center">Centro de Costo </div></td>
            <td width="72"><div align="center"># Pax - mes Centro Costo </div></td>
            <td width="78"><div align="center">Carga-Mes por Centro Costo </div></td>
            <td width="42"><div align="center"> Pax-Hora</div></td>
            <td width="42"><div align="center"> Carga-Hora</div></td>
            <td width="57"><div align="center">Suma de Reafcturacion Pax-Carga </div></td>
            <td width="58"><div align="center">Tarifa Calculada</div></td>
            <td width="58"><div align="center">% centro Costo </div></td>
            <td width="71"><div align="center">division por centro de costo </div></td>
          </tr>
          <?
					 //if($monto!=""){ 
				    $regxpag=50;
					if(!isset($pagina)){
					$pagina=0;
					}					
					$regini=$pagina*$regxpag;
					if($matricula!='0'){
					$resultado=$objPer->getCCostoOpt1();				
					}
					$primero=0;
					//getListaHVHelixTipo(extraerfechamysql($fecha1),extraerfechamysql($fecha2),$matricula)
                  while($filas=$objPer->NextRow($resultado))
                   {
				   
				   
				   $n++;
				   ?>
          <tr valign="top" class="lblForm" >
            <td class="lblForm">
              <div align="center"> <? echo $n; ?> </div></td>
            <td colspan="3" class="lblForm"><div align="left"><?php echo $filas['centrocosto']." ".$filas['nombre']; ?></div></td>
            <td>
              <div align="center">
                <?php 
					 $rsdpc=$objPer->getTransCCostoSumaDistancias(extraerfechamysql($fecha1),extraerfechamysql($fecha2),$matricula);
					 $rowdpc=$objPer->NextRow($rsdpc);
					 $tpesopaxsumh=0;
					 $tpesopaxsum=0;
					 $num=0;
					 //$totalpesopaxsum=0;
					 $resultadocosto=$objPer->getTransCCosto(extraerfechamysql($fecha1),extraerfechamysql($fecha2),$matricula,$filas['centrocosto']);
				   	 while($filacosto=$objPer->NextRow($resultadocosto)){
						
						$resultadocostos=$objPer->getNumPaxViajeCC($filacosto['codigo_mpass'],extraerfechamysql($fecha1),extraerfechamysql($fecha2),$filas['centrocosto']); 
						$filacostos=$objPer->NextRow($resultadocostos);
					//echo $filacostos['numpax'];
					//echo $filacostos['ccosto'];
					
						if($filas['centrocosto']==$filacostos['ccosto']){
						$horita=60;
							if($filacosto['tipohora']=='V'){ $tipohora=$rowdpc['tvcom'];}else{ $tipohora=$rowdpc['tvtec'];}
							$tpesopax=(($filacostos['pesopax']*$filacostos['distancia'])/($rowdpc['totaldispc']))*$tipohora*$horita;
							//$a=(($filacostos['pesopax']*$filacostos['distancia'])/($rowdpc['totaldispc']))*$tipohora*$horita."<br>";
							$tpesopaxsum=$tpesopaxsum+$tpesopax; 
							$tpesopaxh=(($filacostos['pesopax']*$filacostos['distancia'])/($rowdpc['totaldispc']))*$tipohora; 
							$tpesopaxsumh=$tpesopaxsumh+$tpesopaxh;
							
							$num=$num+1;
							
							
						  
						}						  
					  } 
					  $objPer->Liberar($resultadocosto);
					  
					  if($filas['centrocosto']){							
							echo $num."<br>";
							//echo $a;
							$totalpaxsum=$totalpaxsum+$num;
							$totalpesopax=$totalpesopax+$tpesopax;
							$totalpesopaxhora=$totalpesopaxhora+$tpesopaxh;
							}
					?>
            </div></td>
            <td><div align="center">
                <?php 
					 
					 $tpesocargasum=0;
					 $tpesocargasuma=0;
					 $tpesocargasumah=0;
					 $resultadocostow=$objPer->getTransCCostoW(extraerfechamysql($fecha1),extraerfechamysql($fecha2),$matricula,$filas['centrocosto']);
				   	 while($filacostow=$objPer->NextRow($resultadocostow)){
						
						$resultadocostosw=$objPer->getTransCCosto1W($filacostow['codigo_w']); 
						$filacostosw=$objPer->NextRow($resultadocostosw);
					
						if($filas['centrocosto']==$filacostosw['ccosto']){
							
							
							$tpesocargasum=$tpesocargasum+($filacostosw['carga_int']+$filacostosw['carga_ext']);
							$totalpesocarga=$totalpesocarga+$tpesocargasum;
							if($filacostow['tipohora']=='V'){ $tipohora=$rowdpc['tvcom'];}else{ $tipohora=$rowdpc['tvtec'];}
						  	$tpesocarga=(($filacostosw['peso_w']*$filacostosw['distancia'])/($rowdpc['totaldispc']))*$tipohora*60;
							//$b=(($filacostosw['peso_w']*$filacostosw['distancia'])/($rowdpc['totaldispc']))*$tipohora*60."<br>";
							$tpesocargasuma=$tpesocargasuma+$tpesocarga;
							$tpesocargah=(($filacostosw['peso_w']*$filacostosw['distancia'])/($rowdpc['totaldispc']))*$tipohora;
							$tpesocargasumah=$tpesocargasumah+$tpesocargah;
						}					 
					  } 
					  $objPer->Liberar($resultadocostow);
					  
					  if($filas['centrocosto']){
							echo $tpesocargasum;	
											
							$totalpesocargasum=$totalpesocargasum+$tpesocargasum;
							$totalpesocargah=$totalpesocargah+$tpesocarga;
							$totalpesocargahora=$totalpesocargahora+$tpesocargah;
							}
					?>
            </div></td>
            <td><div align="center">
                <?
					  if($filas['centrocosto']){
					  $tpesopasshora=round($tpesopaxsumh,2);					  
					  echo calcular_horas_formato_inversa1($tpesopasshora);
					  $totalpeso=round($tpesopaxsum);
					  $totalpesosum=$totalpesosum+$totalpeso;
					  $totalpesopasshora=$totalpesopasshora+$tpesopasshora;
					  }
					  ?>
            </div></td>
            <td><div align="center">
                <?
					  if($filas['centrocosto']){
					  $tpesows=round($tpesocargasumah,2);					  
					  echo calcular_horas_formato_inversa1($tpesows);
					  $totalcargapeso=round($tpesocargasuma);
					  $totalpesosumcarga=$totalpesosumcarga+$totalcargapeso;
					  $totalpesocargasumahora=$totalpesocargasumahora+$tpesows;
					  }
					  ?>
            </div></td>
            <td>
              <div align="center">
                <?
					  if($filas['centrocosto']){					  
					  echo round($totalcargapeso+$totalpeso);
					  $totalpesohora=$totalcargapeso+$totalpeso;
					  $totalpesohorasuma=$totalpesohorasuma+$totalpesohora;
					  }
					  ?>
            </div></td>
            <td><div align="center">
                <? 
					$rst=$objPer->getTransTarifa($matricula); 
					$rowt=$objPer->NextRow($rst);
					if($monto==""){
						if($di>$rowt['dias_indotor']){
							$dit=$di-$rowt['dias_indotor'];
							echo $ctotalcal=(($rowt['tarifa']*(30-$dit)/30)+($_SESSION['totalhoracal']*$rowt['tarifah']));
						}elseif($id<=$rowt['dias_indotor']){
							$dit=0;
							echo $ctotalcal=(($rowt['tarifa']*(30-$dit)/30)+($_SESSION['totalhoracal']*$rowt['tarifah']));
						}
					}else{
						if($di>$rowt['dias_indotor']){
							$dit=$di-$rowt['dias_indotor'];
							echo $ctotalcal=(($monto*(30-$dit)/30)+($_SESSION['totalhoracal']*$rowt['tarifah']));
						}elseif($id<=$rowt['dias_indotor']){
							$dit=0;
							echo $ctotalcal=(($monto*(30-$dit)/30)+($_SESSION['totalhoracal']*$rowt['tarifah']));
						}
					}
					?>
            </div></td>
            <td><div align="center">
                <?
					   
					   
					   if($filas['centrocosto']){
					   if($_SESSION['paxcargahora']!=0){
					   
					   		if($monto==""){
					  		//$porcentaje=round(number_format(($totalpesohora/$_SESSION['paxcargahora'])*100,3,'.',' '));
							$porcentajer=($totalpesohora/$_SESSION['paxcargahora']);
							echo redondeodecimal($porcentajer)*100;
							$porcentaje=$porcentajer;				
							$porcentajet=$porcentajet+$porcentaje;
							$totalm=$totalm+(($porcentaje/100)*$ctotalcal)*100;
							}else{
							//echo $porcentaje=round(number_format(($totalpesohora/$_SESSION['paxcargahora'])*100,3,'.',' '));						
							$porcentajer=($totalpesohora/$_SESSION['paxcargahora']); 
							echo redondeodecimal($porcentajer)*100;
							$porcentaje=$porcentajer;
							$porcentajet=$porcentajet+$porcentaje;
							$totalm=$totalm+(($porcentaje/100)*$ctotalcal)*100;
							}
						}
					  }
					  ?>
            </div></td>
            <td>
              <div align="center">
                <?
					if($monto==""){
					echo number_format((($porcentaje/100)*$ctotalcal)*100,2,'.','');
					}else{
					echo number_format((($porcentaje/100)*$ctotalcal)*100,2,'.','');
					}
					?>
            </div></td>
          </tr>
          <? 
			}
			$objPer->Liberar($resultado); 
			 
			?>
          <tr valign="top" class="lblForm" >
            <td colspan="4" class="lblForm"><div align="right"></div>
                <div align="right"></div></td>
            <td class="lblForm"><div align="center">
                <?=$_SESSION['pesototalpax']=$totalpaxsum;?>
            </div></td>
            <td class="lblForm"><div align="center">
                <?=$_SESSION['pesototalcarga']=$totalpesocargasum;?>
            </div></td>
            <td class="lblForm"><div align="center">
                <? $_SESSION['ptper']=round($totalpesosum,2);
					  echo  calcular_horas_formato_inversa1(round($totalpesopasshora,2));
					  ?>
            </div></td>
            <td class="lblForm"><div align="center">
                <? $_SESSION['ptcarga']=round($totalpesosumcarga,2);
					  
					  echo calcular_horas_formato_inversa1(round($totalpesocargasumahora,2));
					  ?>
            </div></td>
            <td><div align="center">
                <?=$_SESSION['paxcargahora']=$totalpesohorasuma;?>
            </div></td>
            <td><div align="center"></div></td>
            <td><div align="center">
                <?=number_format($porcentajet,2,'.','');?>
            </div></td>
            <td>
              <div align="center">
                <? 
					//echo $totalm;
					echo number_format($totalm,2,'.','');
					?>
            </div></td>
          </tr>
          <tr valign="top" class="lblForm" >
            <td colspan="4" class="lblForm">&nbsp;</td>
            <td class="lblForm"><div align="center">
                <? //calcular_horas_formato_inversa1('1.92');?>
            </div></td>
            <td class="lblForm"><div align="center"></div></td>
            <td colspan="2" class="lblForm"><div align="center">
                <?=calcular_horas_formato_inversa1(round($totalpesopasshora,3)+round($totalpesocargasumahora,3));?>
            </div></td>
            <td>&nbsp;</td>
            <td><div align="center"></div></td>
            <td>&nbsp;</td>
            <td>&nbsp;</td>
          </tr>
        </table>
    </div></td>
  </tr>
  <tr class="lblCampo">
    <td>&nbsp;</td>
  </tr>
</table>
<map name="Map">
  <area shape="rect" coords="2,5,22,21" href="fondo.php">
</map>
</body>

</html>

